//
//  TypePickerView.h
//  ZipperGym
//
//  Created by JianjiYuan on 15-4-2.
//  Copyright (c) 2015年 JianjiYuan. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef void(^TypePickerViewClick)(int index);

@interface TypePickerView : UIScrollView

@property (nonatomic, copy) NSArray *titles;
@property (nonatomic, copy) TypePickerViewClick typePickerClick;

@property (nonatomic) CGFloat columnMargin;
@property (nonatomic) CGFloat topMargin;
@property (nonatomic) CGFloat bottomMargin;

@property (nonatomic) CGFloat fixedItemWidth;

- (UIButton *)buttonAtIndex:(int)index;


@end
