//
//  TaskPointViewController.h
//  Macalline
//
//  Created by JianjiYuan on 14-12-4.
//  Copyright (c) 2014年 JianjiYuan. All rights reserved.
//

#import "BaseTableViewController.h"

typedef enum : NSUInteger {
    TaskPointTypeUnchecked,
    TaskPointTypeChecked,
    TaskPointTypeArea,
} TaskPointType;

@interface TaskPointViewController : BaseTableViewController
@property (nonatomic, strong) NSString *reportEndDateStr;
@property (nonatomic, strong) NSString *taskId;
@property (nonatomic, strong) NSString *areaId;
@property (nonatomic) TaskPointType pointType;

@property (nonatomic) BOOL isShowHistory;

@property (nonatomic,strong)NSDictionary* taskDetailsArray_header;
@property (nonatomic,strong) UILabel* lblTaskName;
@property (nonatomic,strong) UILabel* lblTaskTime;
@property (nonatomic,strong) UILabel* lblTaskStatus;
@property (nonatomic,strong) UIButton* btnSupport ;
@property (nonatomic,strong) UIButton *btnHistory;
@property (nonatomic,strong) NSString *picEnough;
@property (nonatomic,assign) BOOL CommitFlag;
//
@end
